"pcquasi" <-
function (x, tau, h, data) 
{# piecewise constant kernel spline logistic regression using quasilikelihood
# and a single knot at tau.  
# x = gridpts for evaluation of regression estimate
# data = matrix consisting of two columns: 2nd is binary response
# h is the bandwidth parameter
xi <- data[,1]
yi <- data[,2]
vector.subtract <- function(x, y){
  x - y
}
Kix <- dnorm(outer(x, xi, vector.subtract)/h)
sumKixtau <- Kix%*%(xi > tau)
sumyKixtau <- Kix%*%((xi > tau)*yi)
sumyKix <- Kix%*%yi
sumKix <- apply(Kix, 1, sum)
inv1 <- (sumyKix-sumyKixtau)/(sumKix-sumKixtau)
inv2 <- (sumyKixtau)/(sumKixtau)
#print(inv2)
#y <- exp(inv1)/(1+exp(inv1))*(x <=tau) + exp(inv2)/(1+exp(inv2))*(x > tau)
#print(y)
y <- inv1*(x <= tau) + inv2*(x > tau)
list(x = x, y = y)
}
