\name{ESR}
\alias{ESR}
\non_function{}
\title{ESR data}
\usage{data(ESR)}
\description{
Measurements of Erythrocyte sedimentation rate (ESR) and fibrinogen
were taken on subjects in a Malaysian study.  If ESR is more than 20, a 
score
of 1 is given.  Otherwise, a score of 0 is given.
}
\format{
  This data frame contains the following columns:
  \describe{
    \item{fibrinogen}{a numeric vector}
    \item{response}{a binary numeric vector}
  }
}
\source{
 Collett, D. and Jemain, A.A.  Residuals, outliers and influential 
observations
in regression analysis. Sains Malaysiana, 14 493-511.
}
\references{
 Collett, D. Modelling Binary Data, Chapman and Hall, 2003.
}
\examples{
data(ESR)
require(quadprog)
attach(ESR)
fib.out <- NW.mono(fibrinogen, response, h=.6, xgrid=seq(2,5,length=51))
detach(ESR)
}
\keyword{datasets}
