\name{pckern}
\alias{pckern}
\title{Kernel Piecewise Constant Binary Regression}
\description{
This function computes a local piecewise constant curve estimate
for binary regression data.  A single knot is used.
}
\usage{
pckern(x, y, h = 1, knot = 0, initial.value = c(0, 0.1), gridpts)
}
%- maybe also `usage' for other objects documented here.
\arguments{
  \item{x}{explanatory variable vector}
  \item{y}{response vector}
  \item{h}{bandwidth}
  \item{knot}{the breakpoint.  Currently only one is allowed.}
  \item{initial.value}{a 2-vector describing the initial guess of the
piecewise constant function}
  \item{gridpts}{a numeric vector where the estimates are computed}
}
\details{
 A normal kernel is used.
}
\value{
  ~Describe the value returned
  If it is a LIST, use
  \item{x}{a vector of gridpoints}
  \item{y}{a vector of curve estimates}
  ...
}
\author{W.J.Braun}
\examples{
gridpts <- seq(1, 10, length=101)
x <- seq(1, 10, length=51)
p <- exp(-1*(x>5)+(x<=5))/(1 + exp(-1*(x>5) + (x<=5)))
y <- rbinom(51, 1, p)
xy.out <- pckern(x, y, h=1, knot=5, initial.value=c(0,.1), gridpts) 
plot(x,y)
lines(xy.out)
}
\keyword{models}
