\name{pclogistic.expt}
\alias{pclogistic.expt}
\title{Piecewise Constant Logistic simulation experiment}
\description{
  Mean integrated square error (actually, average squared error) for
logistic(a) case.
}
\usage{
logistic.expt(h, nreps, n=100, minx=-3, maxx=3, a=1.5, numgrid=401)
}
\arguments{
  \item{h}{numeric bandwidth}
  \item{nreps}{numeric constant - number of simulations}
  \item{n}{numeric constant - sample size}
  \item{minx}{left endpoint of gridpoints}
  \item{maxx}{right endpoint}
  \item{a}{logistic parameter}
  \item{numgrid}{number of gridpoints}
}
\value{
  list 
}
\author{W.J. Braun}
\seealso{\code{\link{NW.fn}}}


\examples{
require(quadprog)
pclogistic.expt(.8, 10)
}
\keyword{models}
